package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 平台和菜单关联对象 sys_platform_menu
 * 
 * @author usky
 * @date 2022-04-29
 */
public class SysPlatformMenu extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 平台ID */
    private Long platformId;

    /** 菜单ID */
    private Long menuId;

    public void setPlatformId(Long platformId) 
    {
        this.platformId = platformId;
    }

    public Long getPlatformId() 
    {
        return platformId;
    }
    public void setMenuId(Long menuId) 
    {
        this.menuId = menuId;
    }

    public Long getMenuId() 
    {
        return menuId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("platformId", getPlatformId())
            .append("menuId", getMenuId())
            .toString();
    }
}
