package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 租户和菜单关联对象 sys_tenant_menu
 * 
 * @author usky
 * @date 2022-04-29
 */
public class SysTenantMenu extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 角色ID */
    private Long tenantId;

    /** 菜单ID */
    private Long menuId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String menuAliasName;

    public void setTenantId(Long tenantId) 
    {
        this.tenantId = tenantId;
    }

    public Long getTenantId() 
    {
        return tenantId;
    }
    public void setMenuId(Long menuId) 
    {
        this.menuId = menuId;
    }

    public Long getMenuId() 
    {
        return menuId;
    }
    public void setMenuAliasName(String menuAliasName) 
    {
        this.menuAliasName = menuAliasName;
    }

    public String getMenuAliasName() 
    {
        return menuAliasName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("tenantId", getTenantId())
            .append("menuId", getMenuId())
            .append("menuAliasName", getMenuAliasName())
            .toString();
    }
}
